# Asterisk Project : Asterisk 13 Function_DB_EXISTS

Created by wikibot on Aug 08, 2014

# DB_EXISTS()

### Synopsis

Check to see if a key exists in the Asterisk database.

### Description

This function will check to see if a key exists in the Asterisk database. If it exists, the function will return `1`. If not, it will return `0`. Checking for existence of a database key will also set the variable DB_RESULT to the key's value if it exists.

### Syntax

    DB_EXISTS(family/key)

##### Arguments

- `family`
- `key`

### See Also

- Asterisk 13 Function_DB

### Import Version

This documentation was imported from Asterisk Version SVN-branch-13-r420538